*==============================================================================*.
* DATOS GENERALES: 
*  TTULO DE LA SINTAXIS:			INDICADORES DE EMPLEO
*  OPERACIN ESTADSTICA:			Encuesta Continua de Empleo (ECE)				   
*  ENTIDAD EJECUTORA:				Instituto Nacional de Estadstica (INE)							   
*  UNIDAD TCNICA RESPONSABLE: 												   
*     Direccin de Estadsticas e Indicadores Econmicos y Sociales (DEIES)			   
*==============================================================================*.
*==============================================================================*.
* Elaborado por:													   
* 1. Direccin de Estadsticas e Indicadores Econmicos y Sociales (DEIES)
*    Unidad de Estadsticas e Indicadores Sociales (UEIS)
*==============================================================================*
* Fecha de elaboracin:        12 de febrero del 2020		
* Fecha ltima modificacin:   18 de agosto del 2020
*==============================================================================*.

* Para calcular los indicadores mensuales borrar el asterisco (*) delante de cada
* tabstat (*tabstat) o ratio (*ratio)*.


***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~       INDICADORES DE EMPLEO       ~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***

*- INDICE DE CARGA ECONMICA: Razon entre PEI(numerador) y PEA(denominador) -*.
cap drop ICE_num
gen ICE_num=.
replace ICE_num=100 if inlist(condact,4,5)    
replace ICE_num=0 if inlist(condact,1,2,3) 
cap drop ICE_den
gen ICE_den=.
replace ICE_den=1 if inlist(condact,1,2,3)  
replace ICE_den=0 if inlist(condact,4,5)

ratio ICE_num/ICE_den [iw=fact_trim] if area==1, over(trim)
*ratio ICE_num/ICE_den [iw=fact_mes] if area==1, over(meses)

*- TASA BRUTA DE PARTICIPACIN -*.
cap drop TBP
gen TBP=100*inlist(condact,1,2,3)
tabstat TBP [w=fact_trim] if area==1, by(trim) s(mean) format(%9.2f)
*tabstat TBP [w=fact_mes] if area==1, by(meses) s(mean)

*- TASA GLOBAL DE PARTICIPACIN -*.
cap drop TGP
gen TGP=100*inlist(condact,1,2,3) if inlist(condact,1,2,3,4,5)
tabstat TGP [w=fact_trim] if area==1, by(trim) s(mean) format(%9.2f)
*tabstat TGP [w=fact_mes] if area==1, by(meses) s(mean)

*- TASA DE OCUPACIN -*.
cap drop TOC
gen TOC=100*inlist(condact,1) if inlist(condact,1,2,3,4,5)
tabstat TOC [w=fact_trim] if area==1, by(trim) s(mean) format(%9.2f)
*tabstat TOC [w=fact_mes] if area==1, by(meses) s(mean)

*- TASA GLOBAL DE OCUPACIN -*.
cap drop TGO
gen TGO=100*inlist(condact,1) if inlist(condact,1,2,3)
tabstat TGO [w=fact_trim] if area==1, by(trim) s(mean) format(%9.2f)
*tabstat TGO [w=fact_mes] if area==1, by(meses) s(mean)

*- TASA DE DESOCUPACIN -*.
cap drop TD
gen TD=100*inlist(condact,2,3) if inlist(condact,1,2,3)
tabstat TD [w=fact_trim] if area==1, by(trim) s(mean) format(%9.2f)
*tabstat TD [w=fact_mes] if area==1, by(meses) s(mean)

*- TASA DE SUBOCUPACIN -*.
cap drop TSUB
gen TSUB=100*(condact==1 & tothrs<40 & s2_57==1 & s2_58==1) if (condact==1)
tabstat TSUB [w=fact_trim] if area==1, by(trim) s(mean) format(%9.2f)
*tabstat TSUB [w=fact_mes] if area==1, by(meses) s(mean)

***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~             Tabulados		        ~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***
*/
*- TASA DE DESOCUPACIN -*.
cap drop td
gen td=100*inlist(condact,2,3) if inlist(condact,1,2,3) 

tabstat td [w=fact_trim] if area==1, by(trim) s(mean) format(%9.2f)
tabstat td [w=fact_mes] if area==1, by(meses) s(mean) format(%9.2f)

*- Condicion de Actividad -*.
tab condact trim [iw=fact_trim] if area==1
tab condact meses [iw=fact_mes] if area==1
*- Poblacin segn Actividad Econmica -*.
tab caeb_op trim [iw=fact_trim] if area==1 & condact==1
tab caeb_op meses [iw=fact_mes] if area==1 & condact==1
*- Poblacin segn Categoria Ocupacional -*.
tab s2_18 trim [iw=fact_trim] if area==1 & condact==1 /*disponible hasta 3t-2019*/
tab s2_18 meses [iw=fact_mes] if area==1 & condact==1 /*disponible hasta 3t-2019*/
