﻿*==============================================================================*.
* DATOS GENERALES: 
*  TÍTULO DE LA SINTAXIS:					   INDICADORES DE EMPLEO
*  OPERACIÓN ESTADÍSTICA:					   Encuesta Continua de Empleo (ECE)				   
*  ENTIDAD EJECUTORA:												Instituto Nacional de Estadística (INE)							   
*  UNIDAD TÉCNICA RESPONSABLE: 												   
*  Dirección de Estadísticas e Indicadores Económicos y Sociales (DEIES)			   
*==============================================================================*.
*==============================================================================*.
* Elaborado por:													   
* 1. Dirección de Estadísticas e Indicadores Económicos y Sociales (DEIES)
*    Unidad de Estadísticas e Indicadores Sociales (UEIS)
*==============================================================================*.
* Fecha de elaboración:   12 de Febrero del 2020
* Fecha última modificación:   19 de agosto del 2020
*==============================================================================*.

***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~       INDICADORES DE EMPLEO       ~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***

*- INDICE DE CARGA ECONÓMICA: Razon entre PEI(numerador) y PEA(denominador) -*.
compute ICE_num=$sysmis.
if any(condact,4,5)    ICE_num=100.
if any(condact,1,2,3)  ICE_num=0.
compute ICE_den=$sysmis.
if any(condact,1,2,3)  ICE_den=1.
if any(condact,4,5)    ICE_den=0.
EXECUTE.

*- TASA BRUTA DE PARTICIPACIÓN -*.
IF sysmis(condact) condact=0.
IF any(condact,0,1,2,3,4,5) TBP=100*any(condact,1,2,3).
IF condact=0 condact=$sysmis.

*- TASA GLOBAL DE PARTICIPACIÓN -*.
IF any(condact,1,2,3,4,5) TGP=100*any(condact,1,2,3).

*- TASA DE OCUPACIÓN -*.
IF any(condact,1,2,3,4,5) TOC=100*any(condact,1).

*- TASA GLOBAL DE OCUPACIÓN -*.
IF any(condact,1,2,3) TGO=100*any(condact,1).

*- TASA DE DESOCUPACIÓN -*.
IF any(condact,1,2,3) TD=100*any(condact,2,3).

*- TASA DE SUBOCUPACIÓN -*.
IF any(condact,1) TSUB=100*(condact=1 & tothrs<40 & s2_57=1 & s2_58=1).

EXECUTE.

 * WEIGHT by fact_mes.
 * CTABLES /TABLE area > TBP[S][Mean] by meses[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=meses EMPTY=EXCLUDE.
 * CTABLES /TABLE area > TGP[S][Mean] by meses[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=meses EMPTY=EXCLUDE.
 * CTABLES /TABLE area > TOC[S][Mean] by meses[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=meses EMPTY=EXCLUDE.
 * CTABLES /TABLE area > TGO[S][Mean] by meses[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=meses EMPTY=EXCLUDE.
 * CTABLES /TABLE area > TD[S][Mean] by meses[C]   /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=meses EMPTY=EXCLUDE.
 * CTABLES /TABLE area > TSUB[S][Mean] by meses[C] /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=meses EMPTY=EXCLUDE.
WEIGHT by fact_trim.
CTABLES /TABLE area > TBP[S][Mean] by trim[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=trim EMPTY=EXCLUDE.
CTABLES /TABLE area > TGP[S][Mean] by trim[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=trim EMPTY=EXCLUDE.
CTABLES /TABLE area > TOC[S][Mean] by trim[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=trim EMPTY=EXCLUDE.
CTABLES /TABLE area > TGO[S][Mean] by trim[C]  /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=trim EMPTY=EXCLUDE.
CTABLES /TABLE area > TD[S][Mean] by trim[C]   /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=trim EMPTY=EXCLUDE.
CTABLES /TABLE area > TSUB[S][Mean] by trim[C] /CATEGORIES VARIABLES=area[1] /CATEGORIES VARIABLES=trim EMPTY=EXCLUDE.

***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~           TABULADOS               ~~~~~~~~~~~~~~~~***
***~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~***.

*- TASA DE DESOCUPACIÓN -*.
IF any(condact,1,2,3) td=100*any(condact,2,3).
EXECUTE.

WEIGHT by fact_trim. 
CTABLES /TABLE area > td[S] [mean] by trim[C]
/CATEGORIES VARIABLES=area[1]
/TITLES TITLE="ÁREA URBANA:TASA DE DESOCUPACIÓN POR TRIMESTRE".

WEIGHT by fact_mes. 
CTABLES /TABLE area > td[S] [mean] by meses[C]
/CATEGORIES VARIABLES=area[1]
/TITLES TITLE="ÁREA URBANA:TASA DE DESOCUPACIÓN POR MESES".

WEIGHT by fact_trim. 
CTABLES /TABLE area > condact[C] by trim[C]
/CATEGORIES VARIABLES=area[1]
/TITLES TITLE="ÁREA URBANA:CONDICIÓN DE ACTIVIDAD POR TRIMESTRE".

WEIGHT by fact_mes. 
CTABLES /TABLE area > condact[C] by meses[C]
/CATEGORIES VARIABLES=area[1]
/TITLES TITLE="ÁREA URBANA:CONDICIÓN DE ACTIVIDAD POR MESES".

WEIGHT by fact_trim. 
CTABLES /TABLE area > condact > caeb_op[C] by trim[C]
/CATEGORIES VARIABLES=area condact[1]
/TITLES TITLE="ÁREA URBANA:POBLACIÓN OCUPADA SEGÚN ACTIVIDAD ECONÓMICA POR TRIMESTRE".

WEIGHT by fact_mes. 
CTABLES /TABLE area > condact > caeb_op[C] by meses[C]
/CATEGORIES VARIABLES=area condact [1]
/TITLES TITLE="ÁREA URBANA:POBLACIÓN OCUPADA SEGÚN ACTIVIDAD ECONÓMICA POR MESES".

WEIGHT by fact_trim. 
CTABLES /TABLE area > condact > s2_18[C] by trim[C]
/CATEGORIES VARIABLES=area condact[1]
/TITLES TITLE="ÁREA URBANA:POBLACIÓN OCUPADA SEGÚN CATEGORÍA OCUPACIONAL POR TRIMESTRE".

WEIGHT by fact_mes. 
CTABLES /TABLE area > condact > s2_18[C] by meses[C]
/CATEGORIES VARIABLES=area condact [1]
/TITLES TITLE="ÁREA URBANA:POBLACIÓN OCUPADA SEGÚN CATEGORÍA OCUPACIONAL POR MESES".

